# SQL Query a Data Manager Object Processes and queries data from Price Analyzer or Price Optimizer. The queries can be aggregated, do various computations including statistical projections. Supports filtering. Endpoint: POST /datamart.sqlquery Security: basic, X-PriceFx-jwt ## Query parameters: - `timeout` (string) Set this parameter to override the default timeout (60 seconds) of the query. The maximum allowed timeout is 300 seconds. The default timeout value and the maximum timeout value can be configured in the backend. Setting higher timeout can be useful, for example, when a query takes long time (e.g., when processing large tables). Example: "20" ## Request fields (application/json): - `operationType` (string) - `startRow` (integer) - `endRow` (integer) - `data` (object) - `data.sources` (object) - `data.sources.s0` (object) - `data.sources.s0.query` (object) - `data.sources.s0.query.source` (string) - `data.sources.s0.query.projections` (object) - `data.sources.s0.query.projections.Month` (object) - `data.sources.s0.query.projections.Month.expression` (string) - `data.sources.s0.query.projections.Quantity` (object) - `data.sources.s0.query.projections.Quantity.parameters` (object) - `data.sources.s0.query.projections.Quantity.parameters.field` (string) - `data.sources.s0.query.projections.Quantity.advancedProjection` (boolean) - `data.sources.s0.query.options` (object) - `data.sources.s0.query.options.currency` (string) - `data.sources.s0.query.filter` (object) - `data.sources.s0.query.aggregateFilter` (any) - `data.sources.s0.query.dimensionFilters` (array) - `data.sources.s0.query.dimensionFilters.Invoice_DateYear` (array) - `data.sources.s0.query.rollup` (boolean) - `data.sources.s1` (object) - `data.with` (object) - `data.with.w0` (string) - `data.sql` (string) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.startRow` (number) - `response.data` (array) - `response.data.bandBy` (string) - `response.data.bubbleSize` (number) - `response.data.bubbleSize_n` (number) - `response.data.groupBy` (string) - `response.data.x` (number) - `response.data.y` (number) - `response.data.summary` (string) - `response.endRow` (number) - `response.totalRows` (number) - `response.status` (number)